org.jbpm.kie.services.impl.admin.commands

## Class ListNodesCommand

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.commands.ListNodesCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<List<ProcessNode>>, org.kie.api.command.Command<List<ProcessNode>>, org.kie.internal.command.ProcessInstanceIdCommand

      public class ListNodesCommand
      extends Object
      implements org.drools.core.command.impl.ExecutableCommand<List<ProcessNode>>, org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListNodesCommand(long processInstanceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProcessNode>` | `execute(org.kie.internal.command.Context context)`
    `Long` | `getProcessInstanceId()`
    `void` | `setProcessInstanceId(Long procInstId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListNodesCommand

          public ListNodesCommand(long processInstanceId)

  - ### Method Detail

    - #### execute

          public List<ProcessNode> execute(org.kie.internal.command.Context context)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<List<ProcessNode>>`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long procInstId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.